%define major		6
%define libname		%mklibname isofs %major
%define develname	%mklibname isofs -d

Summary: 	Library for creating ISO disc images
Name: 		libisofs
Version: 	0.6.6
Release: 	%mkrel 2
URL: 		http://libburnia-project.org/
License: 	GPLv2+
Group: 		System/Libraries
Source0: 	http://files.libburnia-project.org/releases/%{name}-%{version}.tar.gz
Buildroot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	doxygen
BuildRequires:	graphviz
BuildRequires:	libburn-devel

%description
Libisofs is a library that handles creating ISO disc image files. It
is intended to work together with libburn to write these images to
discs.

%package -n	%{libname}
Group:		System/Libraries
Summary:	Library for creating ISO disc images

%description -n %{libname}
Libisofs is a library that handles creating ISO disc image files. It
is intended to work together with libburn to write these images to
discs.

%package -n %{develname}
Group:          Development/C
Summary:        Header files for development with %name
Provides:       %{name}-devel = %{version}
Requires:       %{libname} = %{version}

%description -n %{develname}
This package includes the header files for the %{name} package.

%prep
%setup -q

%build
%configure
%make

%install
rm -rf %{buildroot}

%makeinstall

# build documentation
doxygen doc/doxygen.conf

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libisofs.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc README AUTHORS COPYRIGHT
%{_libdir}/libisofs.so
%{_libdir}/libisofs.la
%{_libdir}/libisofs.a
%{_libdir}/pkgconfig/*.pc
%{_includedir}/%{name}



%changelog
* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.6.6-2mdv2009.0
+ Revision: 267820
- rebuild early 2009.0 package (before pixel changes)

* Thu Jun 12 2008 Adam Williamson <awilliamson@mandriva.com> 0.6.6-1mdv2009.0
+ Revision: 218277
- new release 0.6.6

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue May 13 2008 Adam Williamson <awilliamson@mandriva.com> 0.6.4-2mdv2009.0
+ Revision: 206730
- rebuild with newer libburn

* Tue May 13 2008 Adam Williamson <awilliamson@mandriva.com> 0.6.4-1mdv2009.0
+ Revision: 206524
- new release 0.6.4

* Thu Apr 17 2008 Adam Williamson <awilliamson@mandriva.com> 0.6.2.1-1mdv2009.0
+ Revision: 195307
- clean spec
- new release 0.6.2.1

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.2.8-1mdv2008.1
+ Revision: 140924
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Aug 26 2007 Adam Williamson <awilliamson@mandriva.com> 0.2.8-1mdv2008.0
+ Revision: 71456
- don't package COPYING, not needed
- protect against major change in file list
- use Fedora license policy
- new major 5
- new release 0.2.8 (now supported by brasero)
- add note about not updating to newer versions

* Tue Jul 31 2007 Adam Williamson <awilliamson@mandriva.com> 0.2.5-1mdv2008.0
+ Revision: 57149
- new release 0.2.5

* Tue Jul 03 2007 Adam Williamson <awilliamson@mandriva.com> 0.2.4-1mdv2008.0
+ Revision: 47402
- buildrequires libburn
- Import libisofs

